| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Public Attributes | List of all members
file_in_zip64_read_info_s Struct Reference
Collaboration diagram for file_in_zip64_read_info_s:
[legend]

## Public Attributes
uint8_t * | read_buffer
z_stream | stream
uint64_t | pos_in_zipfile
uint8_t | stream_initialised
uint64_t | offset_local_extrafield
uint16_t | size_local_extrafield
uint64_t | pos_local_extrafield
uint64_t | total_out_64
uint32_t | crc32
uint32_t | crc32_expected
uint64_t | rest_read_compressed
uint64_t | rest_read_uncompressed
zlib_filefunc64_32_def | z_filefunc
voidpf | filestream
uint16_t | compression_method
uint64_t | byte_before_the_zipfile
int | raw

## Member Data Documentation

## ◆ byte_before_the_zipfile

uint64_t file_in_zip64_read_info_s::byte_before_the_zipfile

## ◆ compression_method

uint16_t file_in_zip64_read_info_s::compression_method

## ◆ crc32

uint32_t file_in_zip64_read_info_s::crc32

## ◆ crc32_expected

uint32_t file_in_zip64_read_info_s::crc32_expected

## ◆ filestream

voidpf file_in_zip64_read_info_s::filestream

## ◆ offset_local_extrafield

uint64_t file_in_zip64_read_info_s::offset_local_extrafield

## ◆ pos_in_zipfile

uint64_t file_in_zip64_read_info_s::pos_in_zipfile

## ◆ pos_local_extrafield

uint64_t file_in_zip64_read_info_s::pos_local_extrafield

## ◆ raw

int file_in_zip64_read_info_s::raw

## ◆ read_buffer

uint8_t* file_in_zip64_read_info_s::read_buffer

## ◆ rest_read_compressed

uint64_t file_in_zip64_read_info_s::rest_read_compressed

## ◆ rest_read_uncompressed

uint64_t file_in_zip64_read_info_s::rest_read_uncompressed

## ◆ size_local_extrafield

uint16_t file_in_zip64_read_info_s::size_local_extrafield

## ◆ stream

z_stream file_in_zip64_read_info_s::stream

## ◆ stream_initialised

uint8_t file_in_zip64_read_info_s::stream_initialised

## ◆ total_out_64

uint64_t file_in_zip64_read_info_s::total_out_64

## ◆ z_filefunc

zlib_filefunc64_32_def file_in_zip64_read_info_s::z_filefunc

The documentation for this struct was generated from the following file:

- Source/ARX/ARUtil/unzip.c